"use strict";

exports.__esModule = true;
exports.createFlush = createFlush;

const {
  join
} = require(`path`);

const {
  fork
} = require(`child_process`);

function createFlush(isTrackingEnabled) {
  return async function flush() {
    if (!isTrackingEnabled) {
      return;
    } // Submit events on background w/o blocking the main process
    // nor relying on it's lifecycle


    const forked = fork(join(__dirname, `send.js`), {
      detached: true,
      stdio: `ignore`,
      execArgv: []
    });
    forked.unref();
  };
}